<?php
$conf_basedir = "../../../"; //相对主目录的位置
$conf_where = "admin"; //选择调用相应模块
$directory = basename(dirname(__FILE__)); //定义当前所在的目录，引入模块公用函数
include_once($conf_basedir . "base.inc.php");
include_once WEB_MODULE . '/growth/base.inc.php';

$growthExpWay = new GrowthExpWay();
$fields[] = array('type'=>'1',  'name'=>'收费端口条数开通','is_display'=>'1','description'=>'一次性奖励','repeatable'=>'1', 'alias' => 'openPayPackage');
$fields[] = array('type'=>'1',  'name'=>'标签条数开通','is_display'=>'0','description'=>'一次性奖励','repeatable'=>'1', 'alias' => 'openTagNumPackage');
$fields[] = array('type'=>'100','name'=>'头像认证','is_display'=>'1','description'=>'一次性奖励','repeatable'=>'1', 'alias' => 'avatarCert');
$fields[] = array('type'=>'100','name'=>'身份证认证','is_display'=>'1','description'=>'一次性奖励','repeatable'=>'1', 'alias' => 'iDCert');
$fields[] = array('type'=>'100','name'=>'名片认证','is_display'=>'1','description'=>'一次性奖励','repeatable'=>'1','alias' => 'bCardCert');
$fields[] = array('type'=>'100','name'=>'经纪人证书认证','is_display'=>'1','description'=>'一次性奖励','repeatable'=>'1','alias' => 'brokerCert');
$fields[] = array('type'=>'200','name'=>'登录租售宝签到','is_display'=>'1','description'=>'当日累计登录只增加一次','repeatable'=>'0','alias' => 'loginActivity');
//$fields[] = array('type'=>'200','name'=>'套餐到期再续','is_display'=>'0','description'=>'一次性奖励','repeatable'=>'1','alias' => 'pRenewalsActivity');
$fields[] = array('type'=>'200','name'=>'账号到期后每天扣除成长值','is_display'=>'1','description'=>'到期后每天扣除','repeatable'=>'0','alias' => 'accountFailure');
$fields[] = array('type'=>'300','name'=>'发布非多图房源','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pNoStarHouse');
$fields[] = array('type'=>'300','name'=>'发布多图房源','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pStarHouse');
$fields[] = array('type'=>'300','name'=>'发布优质房源（三张室内图+户型图+外景图）','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pQualityHouse');
$fields[] = array('type'=>'300','name'=>'刷新房源','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'refreshHouse');
$fields[] = array('type'=>'300','name'=>'设置标签房源','is_display'=>'0','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'setTagHouse');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★小区信息','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pABlockContri');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★小区实景图','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'uABlockContri');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★小区信息','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pBBlockContri');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★小区实景图','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'uBBlockContri');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★★小区信息','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pCBlockContri');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★★小区实景图','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'uCBlockContri');
$fields[] = array('type'=>'400','name'=>'完善单项紧急程度★★★★小区信息','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'pDBlockContri');
$fields[] = array('type'=>'400','name'=>'上传紧急程度★★★★小区实景图','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'uDBlockContri');
$fields[] = array('type'=>'500','name'=>'生日赠送','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'birthdayReward');
$fields[] = array('type'=>'500','name'=>'系统变更/线下活动','is_display'=>'0','description'=>'可多次奖励','repeatable'=>'0', 'alias' => 'systemReward');
$fields[] = array('type'=>'1000','name'=>'A类小区专家竞投成功','alias' => 'bidAExperts','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'B类小区专家竞投成功','alias' => 'bidBExperts','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'C类小区专家竞投成功','alias' => 'bidCExperts','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'D类小区专家竞投成功','alias' => 'bidDExperts','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-小区词竞投成功','alias' => 'bidHouseBlockWord','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-热搜词竞投成功','alias' => 'bidHouseMarketWord','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');
$fields[] = array('type'=>'1000','name'=>'房源竞投-板块词竞投成功','alias' => 'bidHouseStreetWord','is_display'=>'0','description'=>'可多次奖励','repeatable'=>'0');
//$fields[] = array('type'=>'1500','name'=>'兑换奖品','alias' => 'redeemPrizes','is_display'=>'1','description'=>'可多次奖励','repeatable'=>'0');

echo "开始初始化成长值获取方式<br/>";
$growthExpWay->emptyTable();
foreach ($fields as $value) {
    $growthExpWay->initData($value);
}
echo "完成初始化";